<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Donation Management System</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            max-width: 1200px;
            margin: 0 auto;
            padding: 20px;
            background-color: #f5f5f5;
        }
        
        h1 {
            color: #333;
            text-align: center;
        }
        
        form {
            background-color: white;
            padding: 20px;
            margin-bottom: 20px;
            border-radius: 8px;
            box-shadow: 0 2px 4px rgba(0,0,0,0.1);
        }
        
        h2 {
            color: #444;
            margin-top: 0;
        }
        
        label {
            display: inline-block;
            width: 120px;
            margin-bottom: 10px;
        }
        
        input[type="text"],
        input[type="number"],
        input[type="date"],
        select {
            width: 200px;
            padding: 8px;
            margin-bottom: 10px;
            border: 1px solid #ddd;
            border-radius: 4px;
        }
        
        input[type="submit"] {
            background-color: #4CAF50;
            color: white;
            padding: 10px 20px;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
        
        input[type="submit"]:hover {
            background-color: #45a049;
        }
        
        .results {
            margin-top: 20px;
        }
        
        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 10px;
        }
        
        th, td {
            padding: 12px;
            text-align: left;
            border: 1px solid #ddd;
        }
        
        th {
            background-color: #4CAF50;
            color: white;
        }
        
        tr:nth-child(even) {
            background-color: #f2f2f2;
        }
    </style>
</head>
<body>
    <h1>Donation Management System</h1>

    <form action="handle_name_search.php" method="post">
        <h2>Search by Donor's Name</h2>
        <label for="fname">First Name:</label>
        <input type="text" id="fname" name="fname"><br>
        
        <label for="lname">Last Name:</label>
        <input type="text" id="lname" name="lname"><br>
        
        <input type="submit" value="Search">
    </form>

    <form action="handle_value_search.php" method="post">
        <h2>Search by Value Range</h2>
        <label for="minValue">Minimum Value:</label>
        <input type="number" id="minValue" name="minValue" step="0.01" min="0"><br>
        
        <label for="maxValue">Maximum Value:</label>
        <input type="number" id="maxValue" name="maxValue" step="0.01" min="0"><br>
        
        <input type="submit" value="Search">
    </form>

    <form action="handle_type_search.php" method="post">
        <h2>Search by Donation Type</h2>
        <label for="donationType">Type:</label>
        <select id="donationType" name="donationType">
            <option value="">Select Type</option>
            <option value="cash">Cash</option>
            <option value="clothing">Clothing</option>
            <option value="electronics">Electronics</option>
            <option value="food">Food</option>
            <option value="supplies">Supplies</option>
            <option value="appliances">Appliances</option>
        </select><br>
        
        <input type="submit" value="Search">
    </form>

    <form action="handle_date_search.php" method="post">
        <h2>Search by Date Range</h2>
        <label for="startDate">Start Date:</label>
        <input type="date" id="startDate" name="startDate"><br>
        
        <label for="endDate">End Date:</label>
        <input type="date" id="endDate" name="endDate"><br>
        
        <input type="submit" value="Search">
    </form>
</body>
</html>